routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('lang/{locale}', 'HomeController@lang');
Route::get('/companies/pdfDownload', 'CompanyController@pdfDownload');
Route::resource('employees', 'EmployeeController');
Route::resource('companies', 'CompanyController');
Route::get('/companies' ,'CompanyController@index')->name('companies') ;
Route::get('/employees' , 'EmployeeController@index')->name('employees') ;

//Route::group(['prefix' => 'dashboard'], function() {
//    Route::view('/', 'dashboard/dashboard');
//    Route::get('companies/create', 'CompanyController@create')->name('companies.create');
//    Route::get('employees/create/{id}', 'EmployeeController@create');
//    Route::resource('employees', 'EmployeeController')->except('create');
//
//});

resources/views/dashboard/companyForm.blade.php
<?php
 use Illuminate\Routing\Route ;
 $request = request()->route()->getAction() ;
 $actionName  = $request['as'] ;

?>
@extends('layouts.app')

@section('content')
    <style>
        .uper {
            margin-top: 40px;
        }
    </style>
    <div class="container">
        <div class="row">
            <div class="col-6">
                <div class="card uper">
                    <div class="card-header">
                       {{($actionName=='companies.create')?trans('messages.create_new_company'):trans('messages.update_company')}}
                    </div>
                    <div class="card-body">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div><br />
                        @endif
                            <?php if($actionName =='companies.create'): ?>
                            {{ Form::open(array('url' =>'companies' , 'files'=> true)) }}
                            @csrf
                            <?php  else: ?>
                            {{ Form::open(array('url' =>'companies/'.$company->id , 'files'=> true)) }}
                            @csrf
                            @method('PUT')
                            <?php  endif; ?>
                        <div class="form-group">
                            <label for="name">{{trans('messages.name')}}:</label>
                            <input type="text" class="form-control" name="name" id="name"
                                   value="{{($actionName == 'companies.create')?'':$company->name}}" />
                        </div>
                        <div class="form-group">
                            <label for="address">{{trans('messages.address')}}:</label>
                            <input type="text" class="form-control" name="address" value="{{($actionName == 'companies.create')?'':$company->address}}" id="address" />
                        </div>
                        <div class="form-group">
                            <label for="website">{{trans('messages.website')}}:</label>
                            <input type="url" class="form-control" name="website" id="website" value="{{($actionName == 'companies.create')?'':$company->website}}" />
                        </div>
                        <div class="form-group">
                            <label for="logo">{{trans('messages.logo')}}:</label>
                            <input type="file" class="form-control" name="logo" id="logo" />
                        </div>
                        <button type="submit" class="btn btn-primary">{{trans('messages.submit')}}</button>
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
            <div class="col-6">
                <div class="card uper">
                    <div class="card-body">
                        <?php
                        if($actionName == 'companies.edit') :?>
                        <img style="width:100px" src="{{url('storage/'.$company->logo)}} ">
                        <?php endif ; ?>
                    </div>

                </div>
            </div>
        </div>
    </div>


@endsection

resources/views/dashboard/companyIndex.blade.php
@extends('layouts.app')

@section('content')
    @if(Session::has('success'))
        <div class="alert alert-success">
            {{Session::get('success')}}
        </div>
    @endif
    <div class="container">
        <div class="form-group">
            <a href="{{ route('companies.create') }}" type="button" class="btn btn-success">{{trans('messages.create_new_company')}}</a>
            <a href="{{ URL::to('/companies/pdfDownload') }}">{{trans('messages.export_report')}}</a>
        </div>

            <table class="table table-bordered" id="laravel">
                <thead>
                <tr>
                    <th>Id</th>
                    <th>{{trans('messages.name')}}</th>
                    <th>{{trans('messages.address')}}</th>
                    <th>{{trans('messages.website')}}</th>
                    <th>{{trans('messages.logo')}}</th>
                    <th>{{trans('messages.actions')}}</th>
                </tr>
                </thead>
                <tbody>
                @foreach ($companies as $company)
                    <tr>
                        <td>{{ $company->id }}</td>
                        <td>{{ $company->name }}</td>
                        <td>{{ $company->address }}</td>
                        <td>{{$company->website}}</td>
                        <td><img src="{{url('storage/'.$company->logo)}} "></td>
                        <td class="actions-td">
                            <a class="btn btn-small btn-primary" href="{{ route('companies.edit', $company->id) }}">
                                {{trans('messages.edit')}}
                            </a>
                            <a class="btn btn-small btn-warning" href="{{ route('companies.show', $company->id) }}">
                                {{trans('messages.show')}}
                            </a>
                            {{ Form::open(array('url' => 'companies/' . $company->id, 'style' => 'display:inline')) }}
                            {{ Form::hidden('_method', 'DELETE') }}
                            {{ Form::submit(trans('messages.delete'), array('class' => 'btn btn-danger')) }}
                            {{ Form::close() }}
                        </td>

                    </tr>
                @endforeach
                </tbody>
            </table>
            {!! $companies->links() !!}
    </div>
@endsection

resources/views/dashboard/companyReport.blade.php
<h1> Company Report</h1>

<table>
    <thead>
    <tr>
        <th>{{trans('messages.company')}}</th>
        <th>{{trans('messages.count_of_employees')}}</th>
    </tr>
    </thead>
    <tbody>
    @foreach($data ?? '' as $row)
        <tr>
            <td>{{ $row['companyName'] }}</td>
            <td>{{ $row['numOfEmps']  }}</td>
        </tr>
    @endforeach
    </tbody>
</table>

resources/views/dashboard/companyView.blade.php
<?php


?>

@extends('layouts.app')

@section('content')

    <div class="container">
        <div class="row">
            <div class="col-6">
                <div class="card">
                    <div class="card-header">
                        <h3>{{$company->name}}</h3>
                    </div>
                    <div class="card-body">
                        <img src="{{url('storage/'.$company->logo)}} ">
                         <p>{{$company->address}}</p>
                          <p><a href="{{$company->website}}">Website</a></p>
                    </div>
                </div>
            </div>
        </div>


    </div>
@endsection

resources/views/dashboard/dashboard.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{trans('messages.dashboard')}}</div>

                    <div class="card-body">
                        @if (session('status'))
                            <div class="alert alert-success" role="alert">
                                {{ session('status') }}
                            </div>
                        @endif

                        Welcome  To Dashboard
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/dashboard/employeeForm.blade.php
<?php
$request = request()->route()->getAction();
$actionName = $request['as'];
?>
@extends('layouts.app')

@section('content')
    <style>
        .uper {
            margin-top: 40px;
        }
    </style>
    <div class="container">
        <?php if($actionName =='employees.create'): ?>
        {{ Form::open(array('url' =>'employees' , 'files'=> true)) }}
            @csrf
        <?php  else: ?>
            {{ Form::open(array('url' =>'employees/'.$employee->id , 'files'=> true)) }}
            @csrf
            @method('PUT')
         <?php  endif; ?>
        <div class="row">
            <div class="col-6">
                <div class="card uper">
                    <div class="card-header">
                        {{($actionName=='employees.create')?trans('messages.create_new_employee'):trans('messages.update_employee')}}
                    </div>
                    <div class="card-body">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div><br/>
                        @endif

                        <div class="form-group">
                            <label for="first_name">{{trans('messages.first_name')}}:</label>
                            <input type="text" class="form-control" name="first_name" id="first_name"
                                   value="{{($actionName == 'employees.create')?'':$employee->first_name}}"/>
                        </div>
                        <div class="form-group">
                            <label for="address">{{trans('messages.last_name')}}:</label>
                            <input type="text" class="form-control" name="last_name"
                                   value="{{($actionName == 'employees.create')?'':$employee->last_name}}"
                                   id="last_name"/>
                        </div>
                        <div class="form-group">
                            <label for="email">{{trans('messages.email')}}:</label>
                            <input type="email" class="form-control"
                                   name="email" value="{{($actionName == 'employees.create')?'':$employee->email}}"
                                   id="email"/>
                        </div>
                        <div class="form-group">
                            <label for="company_id">{{trans('messages.company')}}:</label>
                            <select class="form-control"
                                    value="{{($actionName == 'employees.create')?'':$employee->company_id}}"
                                    name="company_id" id="company_id">
                                <?php foreach ($companies as $company):  ?>
                                <option value="<?=$company->id?>"><?php echo $company->name; ?></option>
                                <?php  endforeach; ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="website">{{trans('messages.phone')}}:</label>
                            <input type="tel" class="form-control" name="phone" id="phone" value="{{($actionName ==
                            'employees.create')?'':$employee->phone}}"/>
                        </div>

                        <button type="submit" class="btn btn-primary">{{trans('submit')}}</button>

                    </div>
                </div>
            </div>
            <div class="col-6">
                <div class="card uper">
                    <div class="card-body">
                        <div class="form-group">
                            <label for="address">{{trans('messages.date_of_birth')}}:</label>
                            <input type="date" class="form-control date_picker" name="date_of_birth"
                                   value="{{($actionName == 'employees.create')?'':$employee->date_of_birth}}"
                                   id="date_of_birth"/>
                        </div>
                        <div class="form-group">
                            <label for="logo">{{trans('messages.profile_picture')}}:</label>
                            <input type="file" class="form-control" name="profile_picture" id="profile_picture"/>
                        </div>
                        <?php
                        if($actionName == 'employees.edit') :?>
                        <img style="width:100px" src="{{url('storage/'.$employee->profile_picture)}} ">
                        <?php endif ; ?>
                    </div>
                </div>
            </div>
        </div>
        {{ Form::close() }}
    </div>
@endsection

resources/views/dashboard/employeeIndex.blade.php
@extends('layouts.app')

@section('content')
    @if(Session::has('success'))
        <div class="alert alert-success">
            {{Session::get('success')}}
        </div>
    @endif
    <div class="container">
        <div class="form-group">
            <a href="{{ route('employees.create') }}" type="button" class="btn btn-success">{{trans('messages.create_new_employee')}}</a>
        </div>

        <table class="table table-bordered" id="laravel">
            <thead>
            <tr>
                <th>Id</th>
                <th>{{trans('messages.first_name')}}</th>
                <th>{{trans('messages.last_name')}}</th>
                <th>{{trans('messages.email')}}</th>
                <th>{{trans('messages.phone')}}</th>
                <th>{{trans('messages.date_of_birth')}}</th>
                <th>{{trans('messages.actions')}}</th>
            </tr>
            </thead>
            <tbody>
            @foreach ($employees as $employee)
                <tr>
                    <td>{{ $employee->id }}</td>
                    <td>{{ $employee->first_name }}</td>
                    <td>{{ $employee->last_name }}</td>
                    <td>{{$employee->email}}</td>
                    <td>{{$employee->phone}}</td>
                    <td>{{$employee->date_of_birth}}</td>
                    <td class="actions-td">
                        <a class="btn btn-small btn-primary" href="{{ route('employees.edit', $employee->id) }}">
                            {{trans('messages.edit')}}
                        </a>
                        <a class="btn btn-small btn-warning" href="{{ route('employees.show', $employee->id) }}">
                            {{trans('messages.show')}}
                        </a>
                        {{ Form::open(array('url' => 'employees/' . $employee->id, 'style' => 'display:inline')) }}
                        {{ Form::hidden('_method', 'DELETE') }}
                        {{ Form::submit(trans('messages.delete'), array('class' => 'btn btn-danger')) }}
                        {{ Form::close() }}
                    </td>

                </tr>
            @endforeach
            </tbody>
        </table>
        {!! $employees->links() !!}
    </div>
@endsection

resources/views/dashboard/employeeView.blade.php
<?php


?>
@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="col-6">
                <div class="card">
                    <div class="card-header">
                        <h3>{{$employee->first_name.' '.$employee->last_name}}</h3>
                    </div>
                    <div class="card-body">
                        <img src="{{url('storage/'.$employee->profile_picture)}} ">
                         <p>{{$employee->phone}}</p>
                        <p><a mailto="{{$company->email}}">{{$employee->email}}</a></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection